import request from '@/utils/request'

// 查询指令管理列表
export function listMqttCommand(query) {
  return request({
    url: '/worn/mqttCommand/list',
    method: 'get',
    params: query
  })
}

// 查询指令管理详细
export function getMqttCommand(id) {
  return request({
    url: '/worn/mqttCommand/' + id,
    method: 'get'
  })
}

// 新增指令管理
export function addMqttCommand(data) {
  return request({
    url: '/worn/mqttCommand',
    method: 'post',
    data: data
  })
}

// 修改指令管理
export function updateMqttCommand(data) {
  return request({
    url: '/worn/mqttCommand',
    method: 'put',
    data: data
  })
}

// 删除指令管理
export function delMqttCommand(id) {
  return request({
    url: '/worn/mqttCommand/' + id,
    method: 'delete'
  })
}
